package com.jdcloud.media.demo.player;


public class GlobalPlayerConfig {

    private static GlobalPlayerConfig sInstance;

    private GlobalPlayerConfig() {
    }

    public static GlobalPlayerConfig getInstance() {
        if (sInstance == null) {
            sInstance = new GlobalPlayerConfig();
        }
        return sInstance;
    }

    public boolean enableFloatWindow = true;
    public FloatRect floatViewRect;
    public int maxCacheItem;

    public final static class FloatRect {
        public int x;
        public int y;
        public int width;
        public int height;
    }
}
