package com.jdcloud.media.demo.push.ui;

import android.widget.TextView;

import com.jdcloud.media.demo.MainActivity;
import com.jdcloud.media.demo.R;
import com.jdcloud.media.demo.base.BaseActivity;
import com.jdcloud.media.demo.common.Constant;
import com.jdcloud.media.demo.utils.ActivityUtil;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;

public class PushEndActivity extends BaseActivity {
    private String mDuration;

    @BindView(R.id.tv_push_time)
    TextView mPushTime;

    @Override
    public void initView() {
        setContentView(R.layout.activity_push_end);
        ButterKnife.bind(this);
        ActivityUtil.INSTANCE.addActivity(this);
    }

    @Override
    public void initData() {
        mDuration = getIntent().getStringExtra(Constant.LIVE_EXTRA_PUSH_DURATION);
        mPushTime.setText(mDuration);
    }

    @Override
    public void initListener() {

    }

    @OnClick(R.id.btn_return_push)
    public void returnPush() {
        finish();
    }

    @OnClick(R.id.btn_return_first_page)
    public void goFirstPage() {
//        ActivityUtil.INSTANCE.finishAll();
        startComponent(MainActivity.class);
        finish();
    }
}
