#! /bin/sh 

echo "====================== mv android-ndk-r14b ====================="
mv /export/servers/android-ndk-r14b/ ./
 
echo "====================== mv android-sdk-linux ====================="
mv /export/servers/android-sdk-linux/ ./
mv /export/servers/local.properties ./
 
LOACL_PATH=`pwd`
export ANDROID_NDK=$LOACL_PATH/android-ndk-r14b
export ANDROID_SDK=$LOACL_PATH/android-sdk-linux
export PATH=${PATH}:$ANDROID_NDK/platform-tools
export PATH=${PATH}:$ANDROID_NDK/tools
export PATH=$PATH:$ANDROID_NDK/
export PATH=$PATH:$ANDROID_SDK/
export GRADLE_USER_HOME=.gradle
 
echo "====================== gen jar ==================="
./gradlew build
 
echo "====================== copy to  output ================"
mkdir output
mkdir output/apk
mkdir output/libs

cp ./app/build/outputs/apk/release/app-release-unsigned.apk output/apk
cp ./app/build/outputs/apk/assembleDebug/app-assembleDebug.apk output/apk
cp ./app/build/outputs/apk/debug/app-debug.apk output/apk
cp ./app/libs/jdcloudlive.jar output/libs
cp ./app/libs/jdcloudplayer.jar output/libs
cp ./app/libs/common.aar output/libs
cp -rf ./app/src/main/jniLibs/* output/libs
